# Uses of Interface
javax.swing.event.ListSelectionListener

Packages that use ListSelectionListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of ListSelectionListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type ListSelectionListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addListSelectionListener(ListSelectionListener l)`
Adds the specified listener to receive all `LISTSELECTION` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeListSelectionListener(ListSelectionListener l)`
Removes the specified listener so it no longer receives `LISTSELECTION` events when they occur.

## Uses of ListSelectionListener in javax.swing

Classes in javax.swing that implement ListSelectionListener
Modifier and Type
Class
Description
`protected class`
`JList.AccessibleJList`
This class implements accessibility support for the `JList` class.
`class`
`JTable`
The `JTable` is used to display and edit regular two-dimensional tables of cells.
`protected class`
`JTable.AccessibleJTable`
This class implements accessibility support for the `JTable` class.
Methods in javax.swing that return ListSelectionListener
Modifier and Type
Method
Description
`ListSelectionListener[]`
DefaultListSelectionModel.`getListSelectionListeners()`
Returns an array of all the list selection listeners registered on this `DefaultListSelectionModel`.
`ListSelectionListener[]`
JList.`getListSelectionListeners()`
Returns an array of all the `ListSelectionListener`s added to this `JList` by way of `addListSelectionListener`.
Methods in javax.swing with parameters of type ListSelectionListener
Modifier and Type
Method
Description
`void`
DefaultListSelectionModel.`addListSelectionListener(ListSelectionListener l)`
Add a listener to the list that's notified each time a change to the selection occurs.
`void`
JList.`addListSelectionListener(ListSelectionListener listener)`
Adds a listener to the list, to be notified each time a change to the selection occurs; the preferred way of listening for selection state changes.
`void`
ListSelectionModel.`addListSelectionListener(ListSelectionListener x)`
Add a listener to the list that's notified each time a change to the selection occurs.
`void`
DefaultListSelectionModel.`removeListSelectionListener(ListSelectionListener l)`
Remove a listener from the list that's notified each time a change to the selection occurs.
`void`
JList.`removeListSelectionListener(ListSelectionListener listener)`
Removes a selection listener from the list.
`void`
ListSelectionModel.`removeListSelectionListener(ListSelectionListener x)`
Remove a listener from the list that's notified each time a change to the selection occurs.

## Uses of ListSelectionListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ListSelectionListener
Modifier and Type
Class
Description
`protected class`
`BasicComboPopup.ListSelectionHandler`
As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility.
`protected class`
`BasicFileChooserUI.SelectionListener`
A selection listener.
`class`
`BasicListUI.ListSelectionHandler`
The ListSelectionListener that's added to the JLists selection model at installUI time, and whenever the JList.selectionModel property changes.
Fields in javax.swing.plaf.basic declared as ListSelectionListener
Modifier and Type
Field
Description
`protected ListSelectionListener`
BasicComboPopup.`listSelectionListener`
This protected field is implementation specific.
`protected ListSelectionListener`
BasicListUI.`listSelectionListener`
`ListSelectionListener` that attached to `JList`.
Methods in javax.swing.plaf.basic that return ListSelectionListener
Modifier and Type
Method
Description
`protected ListSelectionListener`
BasicComboPopup.`createListSelectionListener()`
Creates a list selection listener that watches for selection changes in the popup's list.
`ListSelectionListener`
BasicFileChooserUI.`createListSelectionListener(JFileChooser fc)`
Creates a list selection listener.
`protected ListSelectionListener`
BasicListUI.`createListSelectionListener()`
Creates an instance of `ListSelectionHandler` that's added to the `JLists` by selectionModel as needed.

## Uses of ListSelectionListener in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return ListSelectionListener
Modifier and Type
Method
Description
`ListSelectionListener`
MetalFileChooserUI.`createListSelectionListener(JFileChooser fc)`
Creates a selection listener for the list of files and directories.

## Uses of ListSelectionListener in javax.swing.table

Classes in javax.swing.table that implement ListSelectionListener
Modifier and Type
Class
Description
`class`
`DefaultTableColumnModel`
The standard column-handler for a `JTable`.